Subject: Re: [PATCH] net/9p: autoload transport modules

From: Dominique Martinet <[email-masked]>
Date: Wed, 3 Nov 2021 08:17:51 +0900

Thomas Weißschuh wrote on Tue, Nov 02, 2021 at 04:32:21PM +0100:
> > with 9p/9pnet loaded,
> > running "mount -t 9p -o trans=virtio tmp /mnt"
> > request_module("9p-%s", "virtio") returns -2 (ENOENT)
> 
> Can you retry without 9p/9pnet loaded and see if they are loaded by the mount
> process?
> The same autoloading functionality exists for filesystems using
> request_module("fs-%s") in fs/filesystems.c
> If that also doesn't work it would indicate an issue with the kernel setup in general.

Right, that also didn't work, which matches modprobe not being called
correctly

> > Looking at the code it should be running "modprobe -q -- 9p-virtio"
> > which finds the module just fine, hence my supposition usermodhelper is
> > not setup correctly
> > 
> > Do you happen to know what I need to do for it?
> 
> What is the value of CONFIG_MODPROBE_PATH?
> And the contents of /proc/sys/kernel/modprobe?

aha, these two were indeed different from where my modprobe is so it is
a setup problem -- I might have been a little rash with this initrd
setup and modprobe ended up in /bin with path here in /sbin...

Thanks for the pointer, I saw the code setup an environment with a
full-blown PATH so didn't think of checking if this kind of setting
existed!
All looks in order then :)

-- 
Dominique